Bug 1842881 - Add perl-Net-Amazon-S3 to EPEL 7
Summary: Add perl-Net-Amazon-S3 to EPEL 7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Net-Amazon-S3
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1842889 1842890 1842891 1842892 1848457
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-02 10:12 UTC by FALQUE Benjamin
Modified: 2020-07-08 00:33 UTC (History)
6 users (show)

Fixed In Version: perl-Net-Amazon-S3-0.89-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-08 00:33:30 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github rustyconover net-amazon-s3 issues 79 0 None open Tests fail with Test-Deep-0.110 2020-06-23 21:56:12 UTC

Description FALQUE Benjamin 2020-06-02 10:12:01 UTC
Description of problem:

I try to use a nagios plugins on Linux server under EL7

Nagios plugins :  https://exchange.nagios.org/directory/Plugins/Hardware/Storage-Systems/SAN-and-NAS/Amazon-S3/check-2Ds3-2Dfile-2Dage/details

This nagios plugins needs the perl library : perl-Net-Amazon-S3

This library is not available in EPEL repository

Could you add this perl library in EPEL 7 repository please ?

Thanks a lot,

Regards

Ben

Comment 1 Xavier Bachelot 2020-06-02 10:35:58 UTC
I tried a local mockbuild. master fails because of the dependency on ExtUtils::Makemaker >= 6.76, which is not available for EL7 and thus implies some changes in the spec to handle packlist. The last commit that doesn't make use of NO_PACKLIST is 54d5d5e which when built shows the dependencies that are really missing in EL7, the same as with master but ExtUtils::Maker.

Error: No Package found for perl(Data::Stream::Bulk::Callback)
Error: No Package found for perl(MooseX::StrictConstructor) >= 0.16
Error: No Package found for perl(MooseX::Types::DateTime::MoreCoercions) >= 0.07
Error: No Package found for perl(VM::EC2::Security::CredentialCache)

Comment 2 Petr Pisar 2020-06-18 09:16:18 UTC
Net-Amazon-S3-0.89 tests fail because RHEL's perl-Test-Deep-0.110 is too old to provide obj_isa(). I will report it to the upstream and write a work around.

Comment 4 Fedora Update System 2020-06-22 08:01:34 UTC
FEDORA-EPEL-2020-35cee7ddc8 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-35cee7ddc8

Comment 5 Fedora Update System 2020-06-23 01:28:14 UTC
FEDORA-EPEL-2020-35cee7ddc8 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-35cee7ddc8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-07-08 00:33:30 UTC
FEDORA-EPEL-2020-35cee7ddc8 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.